import PdfReportPlugin from "../plugin";
import { ReplyTool } from "../ReplyTool/ReplyTool";
import { ReplyToolModel } from './../ReplyTool/types';
//@ts-ignore
import { Store } from "@grapecity/viewer-core";
import { GcRightSidebarTool, GcRightSidebarState } from "./types";
/**
 * The right sidebar UI control.
 **/
export declare class GcRightSidebar {
    plugin: PdfReportPlugin;
    private _commentsStore;
    private _sidebarElement;
    private _commentApp;
    private _activeTool;
    private _activeState;
    private _sidebarToggle;
    private _onSidebarResizerPointerDownHandler;
    private _resizeActivated;
    private _onSidebarResizerPointerMoveHandler;
    private _onSidebarResizerPointerUpHandler;
    private _dragStartObj;
    private _sidebarResizer;
    private _minWidth;
    constructor(plugin: PdfReportPlugin);
    /**
     * Show sidebar.
     * @ignore exclude from docs, see 'Teams' discussion with Serena Aug/20/2021
     * @param sidebarState right sidebar state, possible values are: 'collapsed', 'expanded', 'hidden'.
     * @param expandedTool expanded sidebar tool, possible values are: 'none', 'reply-tool'.
     */
    show(sidebarState?: GcRightSidebarState, expandedTool?: GcRightSidebarTool | undefined): void;
    /**
     * Hide sidebar.
     * @ignore exclude from docs, see 'Teams' discussion with Serena Aug/20/2021
     **/
    hide(): void;
    /**
     * Collapse sidebar.
     **/
    collapse(): void;
    /**
     * Expand sidebar.
     **/
    expand(): void;
    /**
     * Toggle sidebar expanded/collapsed state.
     **/
    toggle(): void;
    /**
     * Returns active tool name.
     **/
    get activeTool(): GcRightSidebarTool;
    /**
     * Returns current right sidebar state.
     * Possible values are: 'collapsed', 'expanded', 'hidden'
     **/
    get activeState(): GcRightSidebarState;
    get minWidth(): number;
    set minWidth(minWidth: number);
    get replyTool(): ReplyTool | null;
    get hasReplyTool(): boolean;
    get commentsStore(): Store<any, any> | null;
    addReplyTool(sidebarState?: GcRightSidebarState): void;
    dispatchCommentsState(state?: ReplyToolModel): void;
    private _updateUI;
    private _createControls;
    _onSidebarResizerPointerDown(event: PointerEvent): void;
    _onSidebarResizerPointerMove(event: PointerEvent): void;
    _onSidebarResizerPointerUp(event: PointerEvent): void;
}
